/******************************************************************************
 * The copyright in this software is being made available under the BSD        *
 * License, included below. This software may be subject to other third party  *
 * and contributor rights, including patent rights, and no such rights are     *
 * granted under this license.                                                 *
 *    <OWNER> = ISO                                                            *
 *    <ORGANIZATION> = ISO                                                     *
 *    <YEAR> = 2015                                                            *
 *    Copyright (c) 2012-2015, ISO                                             *
 *                                                                             *
 * All rights reserved.                                                        *
 * Redistribution and use in source and binary forms, with or without          *
 * modification, are permitted provided that the following conditions are met: *
 *       * Redistributions of source code must retain the above copyright      *
 *         notice,this list of conditions and the following disclaimer.        *
 *       * Redistributions in binary form must reproduce the above             *
 *         copyright notice, this list of conditions and the following         *
 *         disclaimer in the documentation and/or other materials provided     *
 *         with the distribution.                                              *
 *       * Neither the name of the <ORGANIZATION> nor the names of its         *
 *         contributors may be used to endorse or promote products derived     *
 *         from this software without specific prior written permission.       *
 *                                                                             *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" *
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE   *
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE  *
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE   *
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR         *
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF        *
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS    *
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN     *
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)     *
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE  *
 * POSSIBILITY OF SUCH DAMAGE.                                                 *
 ******************************************************************************/

#ifndef JH_TRC_DATA_H
#define JH_TRC_DATA_H

#define JH_CS_TRC_SIZE 256

const static float default_bga[JH_CS_TRC_SIZE] = {
    0.00000000e+00f, 3.03526991e-04f, 6.07053982e-04f, 9.10580973e-04f,
    1.21410796e-03f, 1.51763496e-03f, 1.82116195e-03f, 2.12468882e-03f,
    2.42821593e-03f, 2.73174304e-03f, 3.03526991e-03f, 3.34653561e-03f,
    3.67650692e-03f, 4.02471703e-03f, 4.39144205e-03f, 4.77695325e-03f,
    5.18151699e-03f, 5.60539169e-03f, 6.04883255e-03f, 6.51209103e-03f,
    6.99541019e-03f, 7.49903172e-03f, 8.02319217e-03f, 8.56812485e-03f,
    9.13405698e-03f, 9.72121768e-03f, 1.03298230e-02f, 1.09600937e-02f,
    1.16122449e-02f, 1.22864870e-02f, 1.29830306e-02f, 1.37020806e-02f,
    1.44438436e-02f, 1.52085144e-02f, 1.59962922e-02f, 1.68073755e-02f,
    1.76419523e-02f, 1.85002182e-02f, 1.93823613e-02f, 2.02885624e-02f,
    2.12190095e-02f, 2.21738834e-02f, 2.31533647e-02f, 2.41576303e-02f,
    2.51868572e-02f, 2.62412224e-02f, 2.73208916e-02f, 2.84260381e-02f,
    2.95568332e-02f, 3.07134409e-02f, 3.18960287e-02f, 3.31047624e-02f,
    3.43398079e-02f, 3.56013142e-02f, 3.68894450e-02f, 3.82043645e-02f,
    3.95462364e-02f, 4.09151986e-02f, 4.23114114e-02f, 4.37350273e-02f,
    4.51862030e-02f, 4.66650836e-02f, 4.81718220e-02f, 4.97065634e-02f,
    5.12694679e-02f, 5.28606549e-02f, 5.44802807e-02f, 5.61284944e-02f,
    5.78054339e-02f, 5.95112406e-02f, 6.12460710e-02f, 6.30100295e-02f,
    6.48032799e-02f, 6.66259527e-02f, 6.84781820e-02f, 7.03601092e-02f,
    7.22718611e-02f, 7.42135793e-02f, 7.61853904e-02f, 7.81874284e-02f,
    8.02198276e-02f, 8.22827145e-02f, 8.43762159e-02f, 8.65004659e-02f,
    8.86556059e-02f, 9.08417329e-02f, 9.30589810e-02f, 9.53074843e-02f,
    9.75873619e-02f, 9.98987406e-02f, 1.02241747e-01f, 1.04616493e-01f,
    1.07023112e-01f, 1.09461717e-01f, 1.11932434e-01f, 1.14435382e-01f,
    1.16970673e-01f, 1.19538434e-01f, 1.22138798e-01f, 1.24771841e-01f,
    1.27437696e-01f, 1.30136490e-01f, 1.32868335e-01f, 1.35633349e-01f,
    1.38431624e-01f, 1.41263306e-01f, 1.44128487e-01f, 1.47027284e-01f,
    1.49959803e-01f, 1.52926162e-01f, 1.55926466e-01f, 1.58960864e-01f,
    1.62029400e-01f, 1.65132225e-01f, 1.68269396e-01f, 1.71441093e-01f,
    1.74647391e-01f, 1.77888408e-01f, 1.81164235e-01f, 1.84474990e-01f,
    1.87820762e-01f, 1.91201672e-01f, 1.94617808e-01f, 1.98069304e-01f,
    2.01556236e-01f, 2.05078706e-01f, 2.08636850e-01f, 2.12230727e-01f,
    2.15860531e-01f, 2.19526231e-01f, 2.23227978e-01f, 2.26965889e-01f,
    2.30740070e-01f, 2.34550655e-01f, 2.38397658e-01f, 2.42281199e-01f,
    2.46201396e-01f, 2.50158370e-01f, 2.54152179e-01f, 2.58182913e-01f,
    2.62250721e-01f, 2.66355664e-01f, 2.70497859e-01f, 2.74677366e-01f,
    2.78894335e-01f, 2.83148795e-01f, 2.87440896e-01f, 2.91770697e-01f,
    2.96138316e-01f, 3.00543845e-01f, 3.04987371e-01f, 3.09468955e-01f,
    3.13988745e-01f, 3.18546832e-01f, 3.23143244e-01f, 3.27778131e-01f,
    3.32451582e-01f, 3.37163657e-01f, 3.41914445e-01f, 3.46704096e-01f,
    3.51532698e-01f, 3.56400251e-01f, 3.61306876e-01f, 3.66252691e-01f,
    3.71237785e-01f, 3.76262218e-01f, 3.81326109e-01f, 3.86429518e-01f,
    3.91572565e-01f, 3.96755308e-01f, 4.01977867e-01f, 4.07240301e-01f,
    4.12542701e-01f, 4.17885154e-01f, 4.23267752e-01f, 4.28690553e-01f,
    4.34153706e-01f, 4.39657241e-01f, 4.45201248e-01f, 4.50785846e-01f,
    4.56411064e-01f, 4.62077051e-01f, 4.67783839e-01f, 4.73531544e-01f,
    4.79320228e-01f, 4.85149980e-01f, 4.91020888e-01f, 4.96933043e-01f,
    5.02886593e-01f, 5.08881450e-01f, 5.14917791e-01f, 5.20995677e-01f,
    5.27115226e-01f, 5.33276498e-01f, 5.39479613e-01f, 5.45724571e-01f,
    5.52011490e-01f, 5.58340490e-01f, 5.64711630e-01f, 5.71124911e-01f,
    5.77580512e-01f, 5.84078491e-01f, 5.90618908e-01f, 5.97201884e-01f,
    6.03827417e-01f, 6.10495627e-01f, 6.17206633e-01f, 6.23960435e-01f,
    6.30757213e-01f, 6.37596965e-01f, 6.44479752e-01f, 6.51405692e-01f,
    6.58374846e-01f, 6.65387332e-01f, 6.72443211e-01f, 6.79542542e-01f,
    6.86685443e-01f, 6.93871915e-01f, 7.01102018e-01f, 7.08375931e-01f,
    7.15693653e-01f, 7.23055243e-01f, 7.30460882e-01f, 7.37910569e-01f,
    7.45404363e-01f, 7.52942324e-01f, 7.60524631e-01f, 7.68151283e-01f,
    7.75822341e-01f, 7.83537924e-01f, 7.91298032e-01f, 7.99102843e-01f,
    8.06952357e-01f, 8.14846694e-01f, 8.22785854e-01f, 8.30769956e-01f,
    8.38799119e-01f, 8.46873283e-01f, 8.54992688e-01f, 8.63157272e-01f,
    8.71367216e-01f, 8.79622340e-01f, 8.87923181e-01f, 8.96269381e-01f,
    9.04661357e-01f, 9.13098693e-01f, 9.21582043e-01f, 9.30110872e-01f,
    9.38685894e-01f, 9.47306573e-01f, 9.55973506e-01f, 9.64686275e-01f,
    9.73445475e-01f, 9.82250571e-01f, 9.91102219e-01f, 1.00000000e+00f
    };
#endif
